%bcond_without	tests
Summary:	Pixel manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na pikselach
Name:		pixman
# 0.32.x is stable, 0.33.x is unstable
Version:	0.32.6
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
# Source0-md5:	8a9e8f14743a39cf303803f369c1f344
URL:		http://pixman.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	sed >= 4.0
Obsoletes:	libic
Obsoletes:	libpixman
Obsoletes:	libpixregion
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pixman is a pixel manipulation library.

%description -l pl.UTF-8
pixman to biblioteka do operacji na pikselach.

%package devel
Summary:	Development files for pixman
Summary(pl.UTF-8):	Pliki dla programistów do biblioteki pixman
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libic-devel
Obsoletes:	libpixman-devel
Obsoletes:	libpixregion-devel

%description devel
This package contains development files for pixman library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki dla programistów korzystających z biblioteki
pixman.

%package static
Summary:	Static pixman library
Summary(pl.UTF-8):	Statyczna biblioteka pixman
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libic-static
Obsoletes:	libpixman-static
Obsoletes:	libpixregion-static

%description static
This package contains static pixman library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki pixman.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gtk \
	--disable-silent-rules \
%ifarch %{x8664}
%if "%{cc_version}" < "4.2"
	--disable-sse2
%endif
%endif

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's#<pixman-version.h>#<pixman-1/pixman-version.h>#g' $RPM_BUILD_ROOT%{_includedir}/pixman-1/pixman.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libpixman-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpixman-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpixman-1.so
%{_libdir}/libpixman-1.la
%{_includedir}/pixman-1
%{_pkgconfigdir}/pixman-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpixman-1.a
%changelog
* Fri Nov 28 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pixman.git;a=log;h=master

* Sun Jul 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 06dce1d
- up to 0.32.6

* Mon Nov 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 71d7b36
- up to 0.32.4

* Tue Nov 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dd4254
- up to 0.32.2

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> ef2844a
- added ssse3 patch (fix SSSE3 detection so that it won't crash on older chips having APIC, but not SSSE3)
- release 2

* Mon Nov 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 57cad80
- up to 0.32.0; run tests

* Wed Aug 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 99f50f6
- up to 0.30.2

* Thu May 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cf6d56
- up to 0.30.0

* Thu Apr 25 2013 Kacper Kornet <draenog@pld-linux.org> 5fa26ec
- fix URL

* Mon Dec 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 063b0b3
- up to 0.28.2

* Wed Nov 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 523e6b7
- up to 0.28.0

* Fri Jun 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 52821a3
- up to 0.26.2

* Sat May 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b2d7c41
- up to 0.26.0

* Thu Feb 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e68802
- up to 0.24.4

* Wed Jan 18 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> dfc760f
- up to 0.24.2

* Sun Nov 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d55cf1
- up to 0.24.0

* Tue Jul 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 428cfe3
- up to 0.22.2

* Mon May 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 088dc0d
- up to 0.22.0

* Wed Jan 19 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b39c02
- up to 0.20.2

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 21f3685
- updated to 0.20.0
- dropped outdated no_pkgconfig patch

* Mon Aug 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ac58fab
- up to 0.18.4

